classification
Title: freeze.py not ported to python3
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.1
process
Status: closed Resolution: duplicate
Dependencies: Superseder: freeze.py broken due to ABI flags
View: 11824
Assigned To: Nosy List: Trundle, brett.cannon, eric.araujo, marcs, patrickkidd
Priority: normal Keywords: patch

Created on 2009-12-15 18:56 by patrickkidd, last changed 2011-04-30 15:39 by eric.araujo. This issue is now closed.

Files
File name Uploaded Description Edit
freeze-pep3149-compat.patch marcs, 2011-04-28 16:15 review
Messages (6)
msg96454 - (view) Author: Patrick Stinson (patrickkidd) Date: 2009-12-15 18:56
Tools/Freeze/freeze.py is still producing C code that expects the old-
style module initialization functions, causing link errors.

The simple example in Tools/Freeze/hello.py easily demonstrates this 
behavior.
msg96461 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2009-12-15 19:52
Almost prioritized to low as there has been talk in the past of not even 
supporting frozen modules by default. The tool should either get fixed or 
removed depending on how people feel.
msg96462 - (view) Author: Patrick Stinson (patrickkidd) Date: 2009-12-15 19:53
Interesting. I found it incredibly useful. I would love to fix the port (if
I find the time, of course :().

On Tue, Dec 15, 2009 at 12:52 PM, Brett Cannon <report@bugs.python.org>wrote:

>
> Brett Cannon <brett@python.org> added the comment:
>
> Almost prioritized to low as there has been talk in the past of not even
> supporting frozen modules by default. The tool should either get fixed or
> removed depending on how people feel.
>
> ----------
> nosy: +brett.cannon
> priority:  -> normal
> stage:  -> needs patch
> type: compile error -> behavior
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue7517>
> _______________________________________
>
msg134692 - (view) Author: Marc Sibson (marcs) Date: 2011-04-28 16:15
I think the original issue has been fixed by http://hg.python.org/cpython/rev/fd20eba1f201. 

freeze.py is now broken due to pep3149 and ABIFLAGS, freeze-pep3149-compat.patch adds awareness of ABIFLAGS to Tools/freeze/freeze.py.

For me "python3.3 freeze.py hello.py && make && ./hello" now works.
msg134693 - (view) Author: Andreas Stührk (Trundle) * Date: 2011-04-28 16:18
Note that I also opened issue #11824 for the abiflags problem.
msg134867 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-04-30 15:39
Closing as duplicate, please use the other bug report to discuss.
History
Date User Action Args
2011-04-30 15:39:33eric.araujosetstatus: open -> closed

superseder: freeze.py broken due to ABI flags

nosy: + eric.araujo
messages: + msg134867
resolution: duplicate
stage: needs patch -> resolved
2011-04-30 15:38:19eric.araujosetfiles: - unnamed
2011-04-28 16:18:58Trundlesetnosy: + Trundle
messages: + msg134693
2011-04-28 16:15:33marcssetfiles: + freeze-pep3149-compat.patch

nosy: + marcs
messages: + msg134692

keywords: + patch
2009-12-15 19:53:43patrickkiddsetfiles: + unnamed

messages: + msg96462
2009-12-15 19:52:26brett.cannonsetpriority: normal

nosy: + brett.cannon
messages: + msg96461

type: compile error -> behavior
stage: needs patch
2009-12-15 18:56:18patrickkiddcreate